---
pipeline:
  build:
    image: python:${PY_VERSION}
    commands:
      - mkdir -p /tmp/
      - touch /tmp/try   # apparently needed
      - pip3 install -U wheel
      - pip3 install -U pip
      - pip3 install .
      - python3 setup.py install test

matrix:
  PY_VERSION:
    - 3.5
    - 3.6
    - 3.7
    # slim and alpine variants do not work: error with mime types
